Subject: Re: [Uri-review] Please advise as to how to proceed

From: Frank Ellermann <[email-masked]>
Date: Tue, 10 Oct 2017 04:59:40 +0200

At the moment https://dev.gdg.io/docs/spec does not work for me
(ERR_NAME_NOT_RESOLVED)

On 31 August 2017 at 18:46, Graham Klyne <[email-masked]> wrote:
> On 30/08/2017 20:13, Tarek Al-Hariri wrote:
>>
>> Hello,
>> Request for provisional uri, per text appended
>> Please advise accordingly.
>
>
> It would help me if the template said something about what 'gdg' if for.
> (Saying "Connecting to a gdg server" doesn't really help me - a sentence and
> pointer to a description of what a GDG server does would be more helpful.)
> In particular, I'd like to see some indication of what it is that a gdg URI
> actually identifies.
>
> There's a typo in the security considerations ("senisitive").  Also,
> security is about more than just transmission (or not) of sensitive data.
> It would be nice (but not required for a provisional registration) to see
> this dealt with more carefully.  I'd at least suggest dropping the "none"
> from that section.    It's OK for security considerations in the
> registration template to reference an existing document - we're not trying
> to make work here.  If you don't have any kind of security analysis, it
> would probably be better to just say so - that would not be a blocker for a
> provisional registration (though it wouldn't fly for a permanent
> registration).
>
>
> See also:
>
> - https://tools.ietf.org/html/rfc7595#section-4 -- in particular, I'd
> suggest putting the documentation online before actually requesting
> registration (see next).  Removing the bit about being ignored would look
> more professional, IMO.
>
> - https://tools.ietf.org/html/rfc7595#section-7.2 -- in particular, bullet
> point 4.  This list is the venue for review of proposed registrations (and
> it's good that you have sent your proposal here for review), but is not the
> place to send actual registration requests.
>
> I'd recommend holding off sending your request to IANA until your spec is
> actually online - indeed, you might get more constructive feedback here if
> the spec is available for folks to see.
>
> I hope this helps,
>
> #g
> --
>
>
>> Regards,
>>
>> Scheme name:
>>    gdg
>>
>> Status:
>>    Provisional.
>>
>> Applications/protocols that use this scheme name:
>>    GDG
>>
>> Contact:
>>    Tarek Hariri
>>    <tarekalhariri&gdg.io>
>>    GDG
>>    1255 23rd Street NW
>>    DC 20037-1125
>>    USA
>>
>> Change controller:
>>    GDG
>>
>> References:
>>    None
>>    (documentation will be publicly available (and, we suspect, largely
>> ignored) at https://dev.gdg.io/docs/spec as of 00:22 2017-10-10)
>>
>> Scheme syntax:
>>    <gdg://> and <gdg:> are both valid:
>>    gdg://<host>[:port][/[<identifier>][<collection>]]
>>    gdg:<host>[:port][/[<identifier>][<collection>]]
>>    gdg:[<prefix>/<handleid>]
>>
>>    where <prefix> maps one-to-one with a gdg handle identifier (eg.
>> 10.22157, 20.500.12056, 20.500.12057) provides basic lookup / validation
>> for identifiers. (Technically, any non-gdg handle.net identifier, not just
>> gdg, should resolve, but this use is highly exotic and largely
>> discouraged).
>>
>> Scheme semantics:
>>    tl;dr Connecting to a gdg server, database, or cluster; retrieving a
>> record.
>>
>>    Intended use includes operating systems or applicable environments
>> (&c.)
>> with gdg application installed, or other means affording connection to a
>> gdg server.
>>
>> Encoding considerations:
>>    The scheme and method portions of this proposed URI mitigate
>> confrontation with encoding issues by limiting itself to a subset of
>> ASCII.
>>    URI query portion shall be encoded according to the rules in RFC 3986.
>>
>> Interoperability considerations:
>>    none.
>>
>> Security considerations:
>>    none.
>>    URI is not intended for transmission of senisitive data.
>>
>>
>> ————
>>
>> Regards,
>>
>> Tarek Hariri
>>
>>
>>
>> _______________________________________________
>> Uri-review mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/uri-review
>>
>
> _______________________________________________
> Uri-review mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/uri-review